# BasicPaymentProducts class

Contains a list of BasicPaymentProduct, a list of AccountOnFile and helper methods to retrieve a specific BasicPaymentProduct object.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

BasicPaymentProducts(List<BasicPaymentProduct> products)
BasicPaymentProducts.fromJson(Map<String, dynamic> json)
  factory

## Properties

accountsOnFile → List<AccountOnFile>
  read-only
basicPaymentProducts → List<BasicPaymentProduct>
  read-only
hasBeenSorted ↔ bool
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
products → List<BasicPaymentProduct>
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

getBasicPaymentProductByAccountOnFileId(String accountOnFileId) → BasicPaymentProduct?
  Returns the BasicPaymentProduct with the corresponding `accountOnFileId`, or null if not found.
getBasicPaymentProductById(String id) → BasicPaymentProduct?
  Returns the BasicPaymentProduct with the corresponding `id`, or null if not found.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited